
package org.objectweb.rentacar.agency.services.reservation.jaxws;

import java.util.Date;
import javax.xml.bind.annotation.AccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import org.objectweb.rentacar.agency.services.reservation.jaxws.CreateReservation;

@XmlRootElement(name = "createReservation", namespace = "http://reservation.services.agency.rentacar.objectweb.org/")
@XmlAccessorType(AccessType.FIELD)
@XmlType(name = "createReservation", namespace = "http://reservation.services.agency.rentacar.objectweb.org/", propOrder = {
    "carId",
    "startDate",
    "endDate",
    "customerId",
    "startAgencyId",
    "endAgencyId"
})
public class CreateReservation {

    @XmlElement(name = "carId", namespace = "")
    private String carId;
    @XmlElement(name = "startDate", namespace = "")
    private Date startDate;
    @XmlElement(name = "endDate", namespace = "")
    private Date endDate;
    @XmlElement(name = "customerId", namespace = "")
    private String customerId;
    @XmlElement(name = "startAgencyId", namespace = "")
    private String startAgencyId;
    @XmlElement(name = "endAgencyId", namespace = "")
    private String endAgencyId;

    /**
     * 
     * @return
     *     returns String
     */
    public String getCarId() {
        return this.carId;
    }

    /**
     * 
     * @param carId
     *     the value for the carId property
     */
    public void setCarId(String carId) {
        this.carId = carId;
    }

    /**
     * 
     * @return
     *     returns Date
     */
    public Date getStartDate() {
        return this.startDate;
    }

    /**
     * 
     * @param startDate
     *     the value for the startDate property
     */
    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    /**
     * 
     * @return
     *     returns Date
     */
    public Date getEndDate() {
        return this.endDate;
    }

    /**
     * 
     * @param endDate
     *     the value for the endDate property
     */
    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    /**
     * 
     * @return
     *     returns String
     */
    public String getCustomerId() {
        return this.customerId;
    }

    /**
     * 
     * @param customerId
     *     the value for the customerId property
     */
    public void setCustomerId(String customerId) {
        this.customerId = customerId;
    }

    /**
     * 
     * @return
     *     returns String
     */
    public String getStartAgencyId() {
        return this.startAgencyId;
    }

    /**
     * 
     * @param startAgencyId
     *     the value for the startAgencyId property
     */
    public void setStartAgencyId(String startAgencyId) {
        this.startAgencyId = startAgencyId;
    }

    /**
     * 
     * @return
     *     returns String
     */
    public String getEndAgencyId() {
        return this.endAgencyId;
    }

    /**
     * 
     * @param endAgencyId
     *     the value for the endAgencyId property
     */
    public void setEndAgencyId(String endAgencyId) {
        this.endAgencyId = endAgencyId;
    }

}
