
package org.objectweb.rentacar.services.client;

import javax.xml.bind.annotation.AccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;
import org.objectweb.rentacar.services.client.CarCriteria;
import org.objectweb.rentacar.services.client.ConsultAvailability;


/**
 * <p>Java class for consultAvailability complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="consultAvailability">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="criterium" type="{http://availability.services.agency.rentacar.objectweb.org/}carCriteria" minOccurs="0"/>
 *         &lt;element name="startDate" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
 *         &lt;element name="endDate" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(AccessType.FIELD)
@XmlType(name = "consultAvailability", propOrder = {
    "criterium",
    "startDate",
    "endDate"
})
public class ConsultAvailability {

    protected CarCriteria criterium;
    protected XMLGregorianCalendar startDate;
    protected XMLGregorianCalendar endDate;

    /**
     * Gets the value of the criterium property.
     * 
     * @return
     *     possible object is
     *     {@link CarCriteria }
     *     
     */
    public CarCriteria getCriterium() {
        return criterium;
    }

    /**
     * Sets the value of the criterium property.
     * 
     * @param value
     *     allowed object is
     *     {@link CarCriteria }
     *     
     */
    public void setCriterium(CarCriteria value) {
        this.criterium = value;
    }

    /**
     * Gets the value of the startDate property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getStartDate() {
        return startDate;
    }

    /**
     * Sets the value of the startDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setStartDate(XMLGregorianCalendar value) {
        this.startDate = value;
    }

    /**
     * Gets the value of the endDate property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getEndDate() {
        return endDate;
    }

    /**
     * Sets the value of the endDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setEndDate(XMLGregorianCalendar value) {
        this.endDate = value;
    }

}
