package org.objectweb.rentacar.util;

/**
 * Deals with all exceptions raised by rentacar configuration initialization
 * @author ofabre, mcarpentier - EBM Websourcing
 */
public class RentacarUtilException extends RentacarException {

	private static final long serialVersionUID = 1L;

	public RentacarUtilException() {
		super();
	}

	/**
	 * @param message the raw message explaining the cause of the error
	 * @param e the exception
	 */
	public RentacarUtilException(String message, Throwable e) {
		super(message, e);
	}

	/**
	 * @param e the exception
	 */
	public RentacarUtilException(Throwable e) {
		super(e);
	}

	/**
	 * @param message the raw message explaining the cause of the error
	 */
	public RentacarUtilException(String message) {
		super(message);
	}

}
