package org.objectweb.petals.demo.icare.dao;

import java.util.Collection;

import org.objectweb.petals.demo.icare.model.Car;
import org.objectweb.petals.demo.icare.model.Category;
import org.objectweb.petals.demo.icare.model.Entity;
import org.objectweb.petals.demo.icare.model.Reservation;

/**
 * @author Cristian Spiescu
 * @author Imad Zarzouri
 * @author Omar Senhaji Rhazi
 * @author Anass Ouazzani Chahdi
 * 
 * @since 15.01.2007
 */
public interface CarDao {

	public void storeEntity(Entity e);
	
	public Entity getEntityById(Class clazz, long id);

	public Collection<Car> loadAllCars();
	
	public Collection<Category> loadAllCategories();
	
	public Collection<Reservation> loadAllReservations();
	
	public void storeAllCategories(Collection<Category> list);
	
	public void storeAllCars(Collection<Car> list);
	
	public void storeAllReservation(Collection<Reservation> list);

}
