package org.objectweb.petals.demo.icare.model;

import java.util.HashSet;
import java.util.Set;

/**
 * @author Cristian Spiescu
 * @since 15.01.2007
 */
public class Category extends Entity
{
	private String label;
	
	private Set<Car> carsInCategory = new HashSet<Car>();

	public Category() {
		
	}
	
	public Category(String label) {
		super();
		this.label = label;
	}
	
	public String getLabel() {
		return label;
	}

	public void setLabel(String label) {
		this.label = label;
	}

	public Set<Car> getCarsInCategory() {
		return carsInCategory;
	}

	public void setCarsInCategory(Set<Car> carsInCategory) {
		this.carsInCategory = carsInCategory;
	}

	public String toString() {
		return label;
	}
	
}
