/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: MessageExchangeFactoryMock.java 10:05:36 ddesjardins $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.demo.mortgage.gui.mock;

import java.net.URI;

import javax.jbi.messaging.InOnly;
import javax.jbi.messaging.InOptionalOut;
import javax.jbi.messaging.InOut;
import javax.jbi.messaging.MessageExchange;
import javax.jbi.messaging.MessageExchangeFactory;
import javax.jbi.messaging.MessagingException;
import javax.jbi.messaging.RobustInOnly;
import javax.xml.namespace.QName;

/**
 * Mock of MessageExchangeFactory
 * @author ddesjardins - eBMWebsourcing
 */
public class MessageExchangeFactoryMock implements MessageExchangeFactory{

    public MessageExchange createExchange(QName serviceName, QName operationName) throws MessagingException {
        return null;
    }

    public MessageExchange createExchange(URI pattern) throws MessagingException {
        return null;
    }

    public InOnly createInOnlyExchange() throws MessagingException {
        return null;
    }

    public InOptionalOut createInOptionalOutExchange() throws MessagingException {
        return null;
    }

    public InOut createInOutExchange() throws MessagingException {
        return new InOutMock();
    }

    public RobustInOnly createRobustInOnlyExchange() throws MessagingException {
        return null;
    }

}
