/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: MockLogger.java 3:44:27 PM ddesjardins $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.jbi.messaging.mock;

import org.objectweb.util.monolog.api.Level;
import org.objectweb.util.monolog.api.Logger;

/**
 * Mock object of the Logger
 * @author ddesjardins - eBMWebsourcing
 */
public class MockLogger implements Logger{

    public int getCurrentIntLevel() {
        return 0;
    }

    public Level getCurrentLevel() {
        return null;
    }

    public boolean isLoggable(int arg0) {
        return false;
    }

    public boolean isLoggable(Level arg0) {
        return false;
    }

    public boolean isOn() {
        return false;
    }

    public void log(int arg0, Object arg1) {
    }

    public void log(Level arg0, Object arg1) {
    }

    public void log(int arg0, Object arg1, Throwable arg2) {
    }

    public void log(Level arg0, Object arg1, Throwable arg2) {
    }

    public void log(int arg0, Object arg1, Object arg2, Object arg3) {
    }

    public void log(Level arg0, Object arg1, Object arg2, Object arg3) {
    }

    public void log(int arg0, Object arg1, Throwable arg2, Object arg3, Object arg4) {
    }

    public void log(Level arg0, Object arg1, Throwable arg2, Object arg3, Object arg4) {
    }

    public void setIntLevel(int arg0) {
    }

    public void setLevel(Level arg0) {
    }

    public void turnOff() {
    }

    public void turnOn() {
    }

    public Object getAttribute(String arg0) {
        return null;
    }

    public String[] getAttributeNames() {
        return null;
    }

    public String getName() {
        return null;
    }

    public String getType() {
        return null;
    }

    public Object setAttribute(String arg0, Object arg1) {
        return null;
    }

    public void setName(String arg0) {
    }

}
