package org.objectweb.petals.jbi.mock;

import java.net.URI;

import javax.jbi.JBIException;
import javax.management.ObjectName;

import org.objectweb.petals.classloader.LoaderManager;
import org.objectweb.petals.jbi.component.context.ComponentContextImpl;
import org.objectweb.petals.jbi.component.context.InstallationContextImpl;
import org.objectweb.petals.jbi.component.lifecycle.Installer;
import org.objectweb.petals.jbi.management.service.LifeCycleManagerService;
import org.objectweb.petals.jbi.management.systemstate.SystemState;
import org.objectweb.petals.tools.jbicommon.descriptor.ComponentDescription;
import org.objectweb.util.monolog.api.Logger;

public class MockInstaller extends Installer {

    public MockInstaller(URI installationRoot, LoaderManager loadSrv, ComponentContextImpl componentContext, ComponentDescription componentDescription, InstallationContextImpl installContext, LifeCycleManagerService jmxAdmin, SystemState recoverySrv, ObjectName mbeanName, Logger logger) throws JBIException {
        super(installationRoot, loadSrv, componentContext,
            componentDescription, jmxAdmin, recoverySrv, mbeanName, logger);
    }

    @Override
    protected void doInstall() throws JBIException {
        throw new RuntimeException("doInstall testing exception");
    }



}
