/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: ArtifactRepositoryMock.java 11:35:47 ddesjardins $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.tools.jbiplugin.mock;

import org.apache.maven.artifact.Artifact;
import org.apache.maven.artifact.metadata.ArtifactMetadata;
import org.apache.maven.artifact.repository.ArtifactRepository;
import org.apache.maven.artifact.repository.ArtifactRepositoryPolicy;
import org.apache.maven.artifact.repository.layout.ArtifactRepositoryLayout;

/**
 * Used to simulate an artifact repository
 * 
 * @author ddesjardins - eBMWebsourcing
 */
public class ArtifactRepositoryMock implements ArtifactRepository {

    private String baseDir;

    public void setBaseDir(String baseDir) {
        this.baseDir = baseDir;
    }

    public String pathOf(Artifact arg0) {
        return null;
    }

    public String pathOfRemoteRepositoryMetadata(ArtifactMetadata arg0) {
        return null;
    }

    public String pathOfLocalRepositoryMetadata(ArtifactMetadata arg0,
            ArtifactRepository arg1) {
        return null;
    }

    public String getUrl() {
        return null;
    }

    public String getBasedir() {
        return baseDir;
    }

    public String getProtocol() {
        return null;
    }

    public String getId() {
        return null;
    }

    public ArtifactRepositoryPolicy getSnapshots() {
        return null;
    }

    public ArtifactRepositoryPolicy getReleases() {
        return null;
    }

    public ArtifactRepositoryLayout getLayout() {
        return null;
    }

    public String getKey() {
        return null;
    }

    public boolean isUniqueVersion() {
        return false;
    }

    public void setBlacklisted(boolean arg0) {
    }

    public boolean isBlacklisted() {
        return false;
    }

}
