<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8" session="true"%>
<jsp:useBean id="LoginBean" scope="session"
	class="org.objectweb.petals.tools.petalsadmin.bean.LoginBean"></jsp:useBean>
<%
boolean serverReachable=false;
String serverHost = "";
String jmxPort = "";
String jmxUser = "";
String jmxPasswd = "";
String errorMsg = null;
//recuperation des variables
if(request.getMethod()!=null && request.getMethod().equals("POST"))
{
	out.println("<!--");
	for (Enumeration params = request.getParameterNames() ; params.hasMoreElements() ;) {
        out.println(params.nextElement());

    }
	out.println("-->");
	if (request.getParameter("serverHost")!=null)
		serverHost = request.getParameter("serverHost");
	if (request.getParameter("jmxPort")!=null)
		jmxPort = request.getParameter("jmxPort");
	if (request.getParameter("jmxUser")!=null)
		jmxUser = request.getParameter("jmxUser");
	if (request.getParameter("jmxPasswd")!=null)
		jmxPasswd = request.getParameter("jmxPasswd");
	serverReachable = LoginBean.isReachable(serverHost,jmxPort,jmxUser,jmxPasswd);
	if (serverReachable)
	{
		%>
		<jsp:forward page="home.jsp"/>
		<%
	}
	else
	{
		errorMsg="Server Unreachable<br />";
	}
}
else
{
	serverHost="localhost";
	jmxPort="7700";
}
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%@page import="java.util.Enumeration"%>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>PEtALS Administration</title>
<link rel="shortcut icon" type="image/x-icon" href="/favicon.ico" />
<link rel="stylesheet" href="/PetalsWebAdmin/includes/style.css" type="text/css" media="screen" />
<!--[if lte IE 6]>
	<link rel="stylesheet" type="text/css" href="/PetalsWebAdmin/includes/style-ie.css" media="screen" />
<![endif]-->
</head>
<body>
<div id="loginPage">

<h1>Welcome to PEtALS Administration</h1>
<div id="loginContent">
	<img id="logo" src="/PetalsWebAdmin/img/logo.png" alt="PEtALS"/>
		<div id="loginForm">
			<form id="form_login" method="post" action="">
			<fieldset>
			<dl>
			<dt>Server Host :</dt><dd><input type="text" id="serverHost" name="serverHost" size="20" value="<% out.print(serverHost); %>" /></dd>
			<dt>JMX Port :</dt><dd><input type="text" id="jmxPort" name="jmxPort" size="20" value="<% out.print(jmxPort); %>" /></dd>
			<dt>JMX User :</dt><dd><input type="text" id="jmxUser" name="jmxUser" size="20" value="<% out.print(jmxUser); %>" /></dd>
			<dt>JMX Password :</dt><dd><input type="text" id="jmxPasswd" name="jmxPasswd" size="20" value="<% out.print(jmxPasswd); %>" /></dd>
			<dt>&nbsp;</dt><dd class="center"><input type="submit" id="submitLogin" name="submitLogin" value="Connect" /></dd>
			</dl>
			</fieldset>
			</form>
		</div>
</div>
<%
if (errorMsg!=null)
	out.println("<div id=\"loginError\">"+errorMsg+"</span>");
%>
</div>
</body>
</html>