<%@page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8" session="true"%>
<%@page import="java.io.File"%>
<%@page import="java.io.FileWriter"%>
<%@page import="java.util.List"%>
<%@page import="java.util.ListIterator"%>
<%@page import="java.util.Map"%>
<%@page import="java.util.Set"%>
<%@page import="java.util.Iterator"%>
<%@page import="org.objectweb.petals.tools.petalsadmin.utils.JBIEntity"%>
<jsp:useBean id="MonitorBean" scope="session" class="org.objectweb.petals.tools.petalsadmin.bean.MonitorBean"></jsp:useBean>
<%
//recuperation des variables
String xml_file = request.getParameter("xml");
if (xml_file == null)
	xml_file = "tree.xml";

String dir = request.getSession().getServletContext().getRealPath("includes/");
File tree_file=new File(dir+"/"+xml_file);
FileWriter fw = new FileWriter(tree_file,false);
List<Map<String, String>> startedServers=null;
try {
//recuperation des serveurs demarres
 startedServers = MonitorBean.getStartedServers();
}
catch (Exception e)
{
	fw.write("<?xml version='1.0' encoding='iso-8859-1'?>\n\n");
	fw.write("<tree id=\"0\">\n");
	fw.write("<item text=\"Network\" id=\"open_network_infos\" im0=\"info.png\"></item>\n");
	
	fw.write("</tree>\n");
	fw.close();
}

fw.write("<?xml version='1.0' encoding='iso-8859-1'?>\n\n");
fw.write("<tree id=\"0\">\n");
fw.write("<item text=\"Network\" id=\"open_network_infos\" im0=\"info.png\"></item>\n");

if (startedServers!=null && startedServers.size()>0)
{
	//on met en session la liste des configurations serveurs afin de pouvoir les recuperer
	//de partout a tout moment
	session.setAttribute("startedServers",startedServers);
	ListIterator<Map<String, String>> parcServers = startedServers.listIterator();
	while (parcServers.hasNext())
	{
		Map<String, String> currentServer = parcServers.next();
		String serverName = currentServer.get("name");
		String serverHost = currentServer.get("host");
		String serverPort = currentServer.get("jmxPort");
		String serverLogin = currentServer.get("jmxLogin");
		String serverPasswd = currentServer.get("jmxPassword");
	
		fw.write("\t<item text=\"Server "+serverName+"\" id=\"server-"+serverName+"\" open=\"1\" im0=\"base.gif\" im1=\"base.gif\" im2=\"base.gif\">\n");
		//fw.write("\t\t<item text=\"Start Monitoring\" id=\"monitor_"+serverName+"_start\" im0=\"item2.gif\"></item>\n");
		//fw.write("\t\t<item text=\"Stop Monitoring\" id=\"monitor_"+serverName+"_stop\" im0=\"close2.gif\"></item>\n");
	
		//recuperation des composants
		Map<String, JBIEntity> serverComponents = MonitorBean.listComponents(serverHost,serverPort,serverLogin,serverPasswd);
		Set keys = serverComponents.keySet();
		Iterator parcComponents = keys.iterator();
		while (parcComponents.hasNext())
		{
			String key = parcComponents.next().toString();
			JBIEntity currentComponent = serverComponents.get(key);
			//out.println("<li>"+currentComponent.getName()+" : "+currentComponent.getType()+"</li>");
			fw.write("\t\t<item text=\""+currentComponent.getName()+"\" id=\"open_"+serverName+"_"+currentComponent.getName()+"\" im0=\"leaf.gif\" im1=\"folderOpen.gif\" im2=\"leaf.gif\"></item>\n");
		}
		fw.write("\t</item>\n");
	}
}

fw.write("</tree>\n");
fw.close();
%>