<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8" session="true"%>
<%@page import="java.util.List"%>
<%@page import="java.util.Map"%>
<%@page import="java.util.ListIterator"%>
<%@page import="java.util.ArrayList"%>
<%@page import="org.objectweb.petals.tools.petalsadmin.utils.JBIEntity"%>
<%@page import="java.util.Set"%>
<%@page import="java.util.Iterator"%>
<jsp:useBean id="MonitorBean" scope="session"
	class="org.objectweb.petals.tools.petalsadmin.bean.MonitorBean"></jsp:useBean>
<%
try {
List<Map<String, String>> serversList = MonitorBean.getAllServers();
List<Map<String, String>> startedServers = new ArrayList<Map<String, String>>();
List<Map<String, String>> stoppedServers = new ArrayList<Map<String, String>>();
if (serversList.size()>0)
{
	ListIterator<Map<String, String>> parcServers = serversList.listIterator();
	while (parcServers.hasNext())
	{
		Map<String, String> currentServer = parcServers.next();
		if(currentServer.get("state").equals("started"))
			startedServers.add(currentServer);
		else
			stoppedServers.add(currentServer);
	}
	session.setAttribute("startedServers",startedServers);
}
%>

<h1>Servers Informations</h1>
<div id="startedServers">
<h2>Started Servers</h2>
<ul id="actions-list" class="invisible">
	<li><a href="#" onclick="setInnerHTML(document.getElementById('actions'),getFileContent('jsp/startstop.jsp?serv=all&action=start'));return false;" title="Start monitoring all servers"><img src="img/dhtml/item2.gif" alt="Start"/>Start monitoring all servers</a></li>
	<li><a href="#" onclick="setInnerHTML(document.getElementById('actions'),getFileContent('jsp/startstop.jsp?serv=all&action=stop'));return false;" title="Stop monitoring all servers"><img src="img/dhtml/close2.gif" alt="Stop"/>Stop monitoring all servers</a></li>
</ul>
<%
if(startedServers.size()>0)
{
	ListIterator<Map<String, String>> parcServers = startedServers.listIterator();
	while (parcServers.hasNext())
	{
		Map<String, String> currentServer = parcServers.next();
		String serverName = currentServer.get("name");
		String serverHost = currentServer.get("host");
		String serverPort = currentServer.get("jmxPort");
		String serverLogin = currentServer.get("jmxLogin");
		String serverPasswd = currentServer.get("jmxPassword");
		out.println("<h3>Server "+serverName+"</h3>");
		out.println("<p><strong>Server Informations :</strong></p>");
		out.println("<ul>");
		out.println("<li>IP : "+serverHost+"</li>");
		out.println("<li>jmxPort : "+serverPort+"</li>");
		out.println("<li>jmxLogin : "+serverLogin+"</li>");
		out.println("<li>jmxPassword : "+serverPasswd+"</li>");
		out.println("</ul>");
		//affichage des composants du serveur
		out.println("<p><strong>Components :</strong></p>");
		Map<String, JBIEntity> serverComponents = MonitorBean.listComponents(serverHost,serverPort,serverLogin,serverPasswd);
		if (serverComponents.size()>0)
		{
			Set keys = serverComponents.keySet();
			Iterator parcComponents = keys.iterator();
			out.println("<ul>");
			while (parcComponents.hasNext())
			{
				String key = parcComponents.next().toString();
				JBIEntity currentComponent = serverComponents.get(key);
				out.println("<li>"+currentComponent.getName()+" : "+currentComponent.getType()+"</li>");
			}
			out.println("</ul>");
		}
		else
		{
			out.println("<p>no component available on this server</p>");
		}
		%>
		<p><strong>Monitor the Server :</strong></p>
		<ul class="invisible">
		<%
		String monitoringStatus = MonitorBean.getAttribute(currentServer,"Monitoring");
		if (monitoringStatus.equals("true"))
			monitoringStatus="started";
		else
			monitoringStatus="stopped";
		out.println("<li><img src=\"img/dhtml/info.png\" alt=\"Start\"/>Monitoring status : <span id=\""+serverName+"_monitor_status\">"+monitoringStatus+"</span></li>");
		%>
			<li><a href="#" onclick="setInnerHTML(document.getElementById('actions'),getFileContent('jsp/startstop.jsp?serv=<% out.print(serverName); %>&action=start'));return false;" title="Start monitoring"><img src="img/dhtml/item2.gif" alt="Start"/>Start monitoring Server <% out.print(serverName); %></a></li>
			<li><a href="#" onclick="setInnerHTML(document.getElementById('actions'),getFileContent('jsp/startstop.jsp?serv=<% out.print(serverName); %>&action=stop'));return false;" title="Stop monitoring"><img src="img/dhtml/close2.gif" alt="Stop"/>Stop monitoring Server <% out.print(serverName); %></a></li>
		</ul>
		<%
	}
}
else
{
	out.println("<p>no started server</p>");
}
%>
</div>
<div id="startedServers">
<h2>Stopped Servers</h2>
<%
if(stoppedServers.size()>0)
{
	ListIterator<Map<String, String>> parcServers = stoppedServers.listIterator();
	while (parcServers.hasNext())
	{
		Map<String, String> currentServer = parcServers.next();
		String serverName = currentServer.get("name");
		out.println("<h3>Server "+serverName+"</h3");
		out.println("<ul>");
		out.println("<li>IP : "+currentServer.get("host")+"</li>");
		out.println("<li>jmxPort : "+currentServer.get("jmxPort")+"</li>");
		out.println("<li>jmxLogin : "+currentServer.get("jmxLogin")+"</li>");
		out.println("<li>jmxPassword : "+currentServer.get("jmxPassword")+"</li>");
		out.println("</ul>");
	}
}
else
{
	out.println("<p>no stopped server known</p>");
}
%>
</div>
<%
}
catch (Exception e)
{
	out.println("<p>cannot connect to any local server to retrieve informations</p>");
}
%>