module namespace ns = "http://www.xquark.org/Bridge/API/Tutorial";
declare function ns:itemSummary(){
(: For all items, list the item number,
   description, and highest bid
   (if any), ordered by item number. :)
for $i in collection("items")/items
let $b:=collection("bids")/bids[itemno=$i/itemno]
order by $i/itemno
return
  <item>
    { $i/itemno }
    { $i/description }
    <high_bid>{ max($b/bid) }</high_bid>
  </item>
};
