/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id : $ 
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.binding.xquarebc.mock;

import java.util.logging.Logger;

import javax.jbi.component.ComponentContext;

import org.objectweb.petals.binding.xquarebc.XQuareBC;
import org.objectweb.petals.component.common.serviceunitmanager.manager.PetalsServiceUnitManager;

/**
 * 
 * @version $Rev: 250 $Date: {date}
 * @since Petals 1.0
 * @author Rocio BARRAZA - eBMWebsourcing
 * 
 */
public class MockXQuareBC extends XQuareBC {
    public MockXQuareBC() {
        super();
    }

    public void setComponentContext(ComponentContext ctx) {
        context = ctx;
    }

    public void setLogger(Logger log) {
        logger = log;
    }

    public void setServiceUnitManager(PetalsServiceUnitManager psum) {
        suManager = psum;
    }
}
