
package org.objectweb.rentacar.agency.services.reservation.jaxws;

import java.util.Date;
import javax.xml.bind.annotation.AccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import org.objectweb.rentacar.agency.services.reservation.jaxws.CreateReservationPartner;
import org.objectweb.rentacar.persistance.bo.CarCriteria;

@XmlRootElement(name = "createReservationPartner", namespace = "http://reservation.services.agency.rentacar.objectweb.org/")
@XmlAccessorType(AccessType.FIELD)
@XmlType(name = "createReservationPartner", namespace = "http://reservation.services.agency.rentacar.objectweb.org/", propOrder = {
    "criterion",
    "quantity",
    "startDate",
    "endDate",
    "partnerId",
    "startAgencyId",
    "endAgencyId"
})
public class CreateReservationPartner {

    @XmlElement(name = "criterion", namespace = "")
    private CarCriteria criterion;
    @XmlElement(name = "quantity", namespace = "")
    private int quantity;
    @XmlElement(name = "startDate", namespace = "")
    private Date startDate;
    @XmlElement(name = "endDate", namespace = "")
    private Date endDate;
    @XmlElement(name = "partnerId", namespace = "")
    private String partnerId;
    @XmlElement(name = "startAgencyId", namespace = "")
    private String startAgencyId;
    @XmlElement(name = "endAgencyId", namespace = "")
    private String endAgencyId;

    /**
     * 
     * @return
     *     returns CarCriteria
     */
    public CarCriteria getCriterion() {
        return this.criterion;
    }

    /**
     * 
     * @param criterion
     *     the value for the criterion property
     */
    public void setCriterion(CarCriteria criterion) {
        this.criterion = criterion;
    }

    /**
     * 
     * @return
     *     returns int
     */
    public int getQuantity() {
        return this.quantity;
    }

    /**
     * 
     * @param quantity
     *     the value for the quantity property
     */
    public void setQuantity(int quantity) {
        this.quantity = quantity;
    }

    /**
     * 
     * @return
     *     returns Date
     */
    public Date getStartDate() {
        return this.startDate;
    }

    /**
     * 
     * @param startDate
     *     the value for the startDate property
     */
    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    /**
     * 
     * @return
     *     returns Date
     */
    public Date getEndDate() {
        return this.endDate;
    }

    /**
     * 
     * @param endDate
     *     the value for the endDate property
     */
    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    /**
     * 
     * @return
     *     returns String
     */
    public String getPartnerId() {
        return this.partnerId;
    }

    /**
     * 
     * @param partnerId
     *     the value for the partnerId property
     */
    public void setPartnerId(String partnerId) {
        this.partnerId = partnerId;
    }

    /**
     * 
     * @return
     *     returns String
     */
    public String getStartAgencyId() {
        return this.startAgencyId;
    }

    /**
     * 
     * @param startAgencyId
     *     the value for the startAgencyId property
     */
    public void setStartAgencyId(String startAgencyId) {
        this.startAgencyId = startAgencyId;
    }

    /**
     * 
     * @return
     *     returns String
     */
    public String getEndAgencyId() {
        return this.endAgencyId;
    }

    /**
     * 
     * @param endAgencyId
     *     the value for the endAgencyId property
     */
    public void setEndAgencyId(String endAgencyId) {
        this.endAgencyId = endAgencyId;
    }

}
