
package org.objectweb.rentacar.services.client;

import javax.xml.bind.annotation.AccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;
import org.objectweb.rentacar.services.client.AgencyVO;
import org.objectweb.rentacar.services.client.CarCriteria;
import org.objectweb.rentacar.services.client.ContactVO;
import org.objectweb.rentacar.services.client.CreateReservationPartner;


/**
 * <p>Java class for createReservationPartner complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="createReservationPartner">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="criterion" type="{http://reservation.services.agency.rentacar.objectweb.org/}carCriteria" minOccurs="0"/>
 *         &lt;element name="quantity" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="startDate" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
 *         &lt;element name="endDate" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
 *         &lt;element name="customer" type="{http://reservation.services.agency.rentacar.objectweb.org/}contactVO" minOccurs="0"/>
 *         &lt;element name="startAgency" type="{http://reservation.services.agency.rentacar.objectweb.org/}agencyVO" minOccurs="0"/>
 *         &lt;element name="endAgency" type="{http://reservation.services.agency.rentacar.objectweb.org/}agencyVO" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(AccessType.FIELD)
@XmlType(name = "createReservationPartner", propOrder = {
    "criterion",
    "quantity",
    "startDate",
    "endDate",
    "customer",
    "startAgency",
    "endAgency"
})
public class CreateReservationPartner {

    protected CarCriteria criterion;
    @XmlElement(type = Integer.class)
    protected int quantity;
    protected XMLGregorianCalendar startDate;
    protected XMLGregorianCalendar endDate;
    protected ContactVO customer;
    protected AgencyVO startAgency;
    protected AgencyVO endAgency;

    /**
     * Gets the value of the criterion property.
     * 
     * @return
     *     possible object is
     *     {@link CarCriteria }
     *     
     */
    public CarCriteria getCriterion() {
        return criterion;
    }

    /**
     * Sets the value of the criterion property.
     * 
     * @param value
     *     allowed object is
     *     {@link CarCriteria }
     *     
     */
    public void setCriterion(CarCriteria value) {
        this.criterion = value;
    }

    /**
     * Gets the value of the quantity property.
     * 
     */
    public int getQuantity() {
        return quantity;
    }

    /**
     * Sets the value of the quantity property.
     * 
     */
    public void setQuantity(int value) {
        this.quantity = value;
    }

    /**
     * Gets the value of the startDate property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getStartDate() {
        return startDate;
    }

    /**
     * Sets the value of the startDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setStartDate(XMLGregorianCalendar value) {
        this.startDate = value;
    }

    /**
     * Gets the value of the endDate property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getEndDate() {
        return endDate;
    }

    /**
     * Sets the value of the endDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setEndDate(XMLGregorianCalendar value) {
        this.endDate = value;
    }

    /**
     * Gets the value of the customer property.
     * 
     * @return
     *     possible object is
     *     {@link ContactVO }
     *     
     */
    public ContactVO getCustomer() {
        return customer;
    }

    /**
     * Sets the value of the customer property.
     * 
     * @param value
     *     allowed object is
     *     {@link ContactVO }
     *     
     */
    public void setCustomer(ContactVO value) {
        this.customer = value;
    }

    /**
     * Gets the value of the startAgency property.
     * 
     * @return
     *     possible object is
     *     {@link AgencyVO }
     *     
     */
    public AgencyVO getStartAgency() {
        return startAgency;
    }

    /**
     * Sets the value of the startAgency property.
     * 
     * @param value
     *     allowed object is
     *     {@link AgencyVO }
     *     
     */
    public void setStartAgency(AgencyVO value) {
        this.startAgency = value;
    }

    /**
     * Gets the value of the endAgency property.
     * 
     * @return
     *     possible object is
     *     {@link AgencyVO }
     *     
     */
    public AgencyVO getEndAgency() {
        return endAgency;
    }

    /**
     * Sets the value of the endAgency property.
     * 
     * @param value
     *     allowed object is
     *     {@link AgencyVO }
     *     
     */
    public void setEndAgency(AgencyVO value) {
        this.endAgency = value;
    }

}
