package org.objectweb.rentacar.persistance.database;

/**
 * Deals with all exceptions raised using DAO Entities
 * @author ofabre, mcarpentier
 */
public class DatabaseException extends Exception {

	private static final long serialVersionUID = 1L;

	public DatabaseException() {
		super();
	}

	/**
	 * @param message the raw message explaining the cause of the error
	 * @param e the exception
	 */
	public DatabaseException(String message, Throwable e) {
		super(message, e);
	}

	/**
	 * @param e the exception
	 */
	public DatabaseException(Throwable e) {
		super(e);
	}

	/**
	 * @param message the raw message explaining the cause of the error
	 */
	public DatabaseException(String message) {
		super(message);
	}

}
