package org.objectweb.petals.demo.icare.model;

import java.util.Date;

/**
 * @author Cristian Spiescu
 * @author Imad Zarzouri
 * @author Omar Senhaji Rhazi
 * @author Anass Ouazzani Chahdi
 * 
 * @since 15.01.2007
 */
public class Reservation extends Entity
{
	public Reservation() {
		super();
	}

	private Date startDate;
	
	private Date endDate;
	
	private String clientName;
	
	private Car car;

	public Car getCar() {
		return car;
	}

	public void setCar(Car car) {
		this.car = car;
	}

	public String getClientName() {
		return clientName;
	}

	public void setClientName(String clientName) {
		this.clientName = clientName;
	}

	public Date getEndDate() {
		return endDate;
	}

	public void setEndDate(Date endDate) {
		this.endDate = endDate;
	}

	public Date getStartDate() {
		return startDate;
	}

	public void setStartDate(Date startDate) {
		this.startDate = startDate;
	}

	public Reservation(Date startDate, Date endDate, String clientName, Car car) {
		super();
		this.startDate = startDate;
		this.endDate = endDate;
		this.clientName = clientName;
		this.car = car;
	}
	
	public String toString(){
		return "anass";
	}
	
}
