/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: ConvertSpecialCharactersUtil.java 2:28:13 PM ddesjardins $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.util;

/**
 * This class is used to convert special characters in the classpath
 * 
 * @author ddesjardins - eBMWebsourcing
 */
public final class ConvertSpecialCharactersUtil {

    private ConvertSpecialCharactersUtil() {
        // do nothing
    }

    /**
     * Return a string with the specials characters
     * 
     * @param path
     * @return
     */
    public static String convertPath(String path) {
        String out = path;
        out = out.replace("%20", " ");
        return out;
    }
}
