/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2006 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: DeploymentContextConstants.java 154 6 oct. 06 ofabre $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.jbi.management.deployment;

/**
 * Deployment Context Map Keys
 * 
 * @author ofabre - EBM Websourcing
 * 
 */
public class DeploymentContextConstants {

    public final static String ARCHIVE_URL = "archiveURL";

    public final static String ARCHIVE_URI = "archiveURI";

    public final static String SA_DESCRIPTOR = "saDescriptor";

    public final static String XML_RESULT = "xmlResult";

    public final static String SA_INSTALL_ROOT = "saInstallRoot";

    public final static String SU_INSTALL_ROOTS = "suInstallRoots";

    public final static String SU_INSTALL_ROOT = "suInstallRoot";

    public final static String SU_DESCRIPTOR = "suDescriptor";

    public final static String SA_LIFECYCLE = "saLifeCycle";

    public final static String COMPONENT_XML_RESULT = "componentXMLResult";

    public final static String SU_TASK_PROCESSORS = "suTaskProcessors";
    
    public final static String SA_DATA_HANDLER = "saDataHandler";

}
