/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: MockSerializer.java 3:41:29 PM ddesjardins $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.jbi.transport.mock;

import javax.jbi.JBIException;
import javax.jms.Message;
import javax.jms.Session;

import org.objectweb.petals.jbi.messaging.MessageExchangeImpl;
import org.objectweb.petals.jbi.transport.Serializer;
import org.objectweb.petals.jbi.transport.TransportException;

/**
 * Mock object of the Serializer
 * @author ddesjardins - eBMWebsourcing
 */
public class MockSerializer implements Serializer{

    public Message jbi2jms(MessageExchangeImpl jbi, Session queueSession) throws TransportException {
        return null;
    }

    public MessageExchangeImpl jms2jbi(Message jms) throws JBIException {
        return null;
    }

}
