/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: ComponentMoc.java 14:44:50 ddesjardins $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.tools.ant.util;

import javax.jbi.JBIException;

/**
 * Moc of the life cycle
 * 
 * @author ddesjardins - eBMWebsourcing
 */
public class LifeCycleMoc implements LifeCycleMocMBean {

	/**
	 * State of the object
	 */
	private String state = "Shutdown";
	
	public String getCurrentState() {
		return state;
	}

	public void shutDown() throws JBIException {
		state = "Shutdown";
	}

	public void start() throws JBIException {
		state = "Started";
	}

	public void stop() throws JBIException {
		state = "Stopped";
	}

}
