<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8" session="true"%>
<%@page import="java.util.Date"%>
<%@page import="java.util.ArrayList"%>
<%@page import="java.util.ListIterator"%>
<%@page import="java.util.HashMap"%>
<%@page import="java.util.List"%>
<%@page import="java.util.Map"%>
<%@page import="java.text.DateFormat"%>
<%@page import="java.text.SimpleDateFormat"%>
<%@page import="java.util.Locale"%>
<jsp:useBean id="MonitorBean" scope="session"
	class="org.objectweb.petals.tools.petalsadmin.bean.MonitorBean"></jsp:useBean>
	
<%
//recuperation des variables de session
List<List<Map<String,Object>>> stored_exch = (List<List<Map<String,Object>>>) session.getAttribute("stored_exchanges");
if (stored_exch==null)
{
	session.setAttribute("stored_exchanges",new ArrayList<HashMap>());
}

List<List<Map<String,Object>>> exchanges=null;

//si aucun composant n est appele en parametre : aucun affichage
if(request.getParameter("compo")==null)
{
	%>
	<h1>&nbsp;</h1>
	<div id="msg_exch">
		<h2>Veuillez choisir un composant</h2>
	</div>
	<%
}
else
{ //un composant est appele -> recherche de ses echanges
	//recuperation du nom du serveur
	String serverName=new String();
	Map<String, String> serverConf = null;
	//recuperation des infos du serveur
	if(request.getParameter("serv")!=null)
	{
		serverName=(String) request.getParameter("serv");
	}
	if (session.getAttribute("startedServers")!=null)
	{
		List<Map<String, String>> startedServers = (List<Map<String, String>>) session.getAttribute("startedServers");
		if (startedServers!=null && startedServers.size()>0)
		{
			ListIterator<Map<String, String>> parcServers = startedServers.listIterator();
			boolean found = false;
			while (!found && parcServers.hasNext())
			{
				Map<String, String> currentServer = parcServers.next();
				if (currentServer.get("name").equals(serverName))
				{
					serverConf=currentServer;
					found=true;
				}
			}
		}
	}
	
	
	String compo = (String) request.getParameter("compo");
	//on compare le composant recu avec le composant en cours de travail (en session)
	//si ce n est pas le meme : on reinitalise la liste des echanges
	if (session.getAttribute("work_component")!=null 
			&& !session.getAttribute("work_component").toString().equals(compo) )
	{
		session.setAttribute("stored_exchanges",new ArrayList<HashMap>());
		stored_exch=new ArrayList<List<Map<String,Object>>>();
	}
	//on met en session le composant en cours de travail
	session.setAttribute("work_component",compo);
	//recuperation des nouvelles donnees du composant appele
	//Tuesday, April 12, 1952 AD or 3:30:42pm PST
	String sinceDate = "22/01/2007 14:30:00";
	try {
		exchanges=MonitorBean.getExchanges(serverConf,0l,compo);
		//on met tous les echanges dans les echanges a traiter stocker
		stored_exch=exchanges;
		%>
		<h1><% out.print(compo+" on server "+serverName); %></h1>
		<div id="utils">
		<a href="#" onclick="expandAll('msg_exch');return false;" title="Expand All"><img src="img/plus.png" alt="Expand All"/></a>
		<a href="#" onclick="collapseAll('msg_exch');return false;" title="Collapse All"><img src="img/moins.png" alt="Collapse All"/></a>
		<a href="#" onclick="setInnerHTML(document.getElementById('content'),getFileContent('jsp/monitoring.jsp?serv=<% out.print(serverName); %>&compo=<% out.print(compo); %>'));return false;" title="Refresh Menu"><img src="img/refresh.png" alt="Refresh Content"/></a>
		</div>
		<h2>Last Exchanges</h2>
		<div id="msg_exch">
		<%
		/* 
		//old code for only new exchanges -> keep it for later
		//stockage des nouveaux echanges recus
		if (exchanges!=null && exchanges.size() > 0)
		{
			out.println("Received "+exchanges.size()+" new exchanges");
			ListIterator<List<Map<String,Object>>> parc_exchanges = exchanges.listIterator();
			while (parc_exchanges.hasNext())
			{
				//recuperation de l'echange
				List<Map<String,Object>> current_exchange = parc_exchanges.next();
				//ajout de l'echange a ceux stockes en session
				stored_exch.add(current_exchange);
			}
		}
		else
		{
			out.println("No exchange received since "+new Date(fromTime).toString()+" ( "+fromTime+" )<br/>");
		}
		*/
		//Affichage des echanges stockes
		int num_id=1;
		if (stored_exch!=null && stored_exch.size() > 0)
		{
			ListIterator<List<Map<String,Object>>> parc_exchanges = stored_exch.listIterator();
			while (parc_exchanges.hasNext())
			{
				//recuperation de l echange (liste de captures)
				List<Map<String,Object>> captures = parc_exchanges.next();
				//lecture de l'id dans le premier echange
				Map<String,Object> firstCap = captures.get(1);
				String id = firstCap.get("id").toString();
				String html_id="datas_"+id;
				String html_exchanges=new String();
		
				boolean showExchange = false; //indique si on doit afficher l'echange
				boolean hasErrors = false; //indique si l'echange contient des messages en erreur
		
				//parcours des captures et affichage de celles qui correspondent au composant
				ListIterator<Map<String,Object>> parcCaptures = captures.listIterator();
				while (parcCaptures.hasNext())
				{
					//recuperation de la capture en cours
					Map<String,Object> capture = parcCaptures.next();
					if (capture.get("component").equals(compo))
					{
						//la capture correspond au composant demande
						//->on affiche la liste de ses elements
						String status = capture.get("status").toString();
						String list_id = new String("ul_"+num_id);
						Date capTime = new Date((Long) capture.get("time"));
						
						DateFormat df = new SimpleDateFormat("EEE. dd MMM. yyyy, HH:mm:ss.SSS", Locale.ENGLISH);
					    String friendlyDate = df.format(capTime);
		
						html_exchanges+="<ul id=\""+list_id+"\" class=\""+status+"\">\n";
						html_exchanges+="<li><strong>Date :</strong> "+friendlyDate+" <em>(timestamp "+capture.get("time")+")</em></li>\n";
						html_exchanges+="<li><strong>Component :</strong> "+capture.get("component")+"</li>\n";
						html_exchanges+="<li><strong>Role :</strong> "+capture.get("role")+"</li>\n";
						html_exchanges+="<li><strong>Type :</strong> "+capture.get("type")+"</li>\n";
						html_exchanges+="<li><strong>Status :</strong> "+status+"</li>\n";
						html_exchanges+="</ul>";
						num_id++;
						showExchange=true;
						if (status.equals("error"))
						{
							hasErrors = true;
						}
					}
				}
				if (showExchange)
				{
					String html_class = new String();
					if (hasErrors)
						html_class="error";
					//datas collected : time, compo, role , type, status
					out.println("<h3 id=\"h3_"+html_id+"\" class=\""+html_class+"\">");
					out.println("<a id=\"a_"+html_id+"\" class=\""+html_class+"\" href=\"#\" ");
					out.println("onclick=\"showHide('"+html_id+"');return false;\" title=\"View "+id+" datas\">");
					out.println("<img id=\"img_"+html_id+"\" src=\"img/plus.png\" alt=\"expand datas\" class=\"expand_ico\"/>");
					out.println("Msg #"+id+"</a></h3>");
					out.println("<div id=\""+html_id+"\" style=\"display:none;\">");
					out.println(html_exchanges);
					out.println("</div>");
				}
			}
			//remise des echanges en session
			session.setAttribute("stored_exchanges",stored_exch);
		}
		else
		{
			out.println("<h3>No exchange currently available</h3>");
		}
	}
	catch (Exception e)
	{
		out.println("<h1>"+compo+" on server "+serverName+"</h1>");
		//out.println("<h2>no informations available</h2>");
		out.println("<p>"+e.getMessage()+"</p>");
	}
	out.println("</div>"); //fin <div id="utils">
}

%>
